@import url('variables.css');

body {
    font-family: "Open Sans", sans-serif;
    font-size: 16px;
    line-height: 1.5;
    color: var(--text);
    background-color: var(--back1);
    height: 100%;
}
html{
    height: 100%;
}
a {
    color: var(--color2);
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

a:hover {
    color: var(--color2-hover);
    text-decoration: none;
}

.product_price {
    font-size: 24px;
    margin: 0;
}

.menu {
    font-size: 18px;
    color: var(--text);
}
menu_main{
    display: flex;
    flex-wrap: wrap;
}

.product_component {
    font-size: 18px;
    margin: 0 0 20px;
}

.product_image {
    max-width: 100%;
    height: auto;
    margin-top: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

footer {
    background-color: #222;
    color: var(--text2);
    text-align: center;
}

footer p {
    font-size: 18px;
    margin: 0 0 20px;
}

footer a {
    color:var(--color2);
    font-weight: bold;
    transition: all 0.3s ease-in-out;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 1rem;
}

h1 {
    font-size: 3rem;
    margin: 50px;
}
.product-title{
    margin: 0px;
}
.burger-day{
    margin: 0px;
    margin-bottom: 30px;
    color: var(--color2);
    font-style: italic;
}
h2 {
    font-size: 2.5rem;

}

h3 {
    font-size: 2rem;

}

h4 {
    font-size: 1.5rem;

}

h5 {
    font-size: 1.25rem;

}

h6 {
    font-size: 1rem;

}

p {
    font-family: 'Open Sans', sans-serif;
    font-size: 1.2rem;
    margin-top: 0;
    margin-bottom: 1rem;
    color: var(--text);
}

.btn {
    font-family: 'Open Sans', sans-serif;
    font-weight: 600;
    letter-spacing: 0.1rem;
    font-size: 1.2rem;
    padding: 0.75rem 1.5rem;
    border-radius: 1.5rem;
    transition: all 0.3s;
    cursor: pointer;
    border: none;
}

.searchbar{
    width: 95%;
    margin: auto;
    margin-top: 2%;
}
table {
    margin: auto;
    margin-top: 50px;
    border-collapse: collapse;
    width: 60%;
    margin-bottom: 50px;
    font-family: Arial, sans-serif;
    font-size: 20px;
    text-align: center;
}

th, td {
    padding: 8px;
}

th {
    font-weight: bold;
}

td {
    font-style: italic;
}

.btn-rechercher{
    border-radius: 20px;
    background-color:var(--color2);
    color: var(--text);
    padding: 10px;
    font-weight: bold;
    font-family: 'Open Sans', sans-serif;
    height: 50px;
}
.btn-rechercher:hover {
    background-color: var(--color2-hover);
}
#search{
    border-radius: 5px;
    height: 50px;
}
.nav-item:hover{
    color: #272727;
}
/* Product details */
.product_title {
    font-size: 2.5rem;
    color: #2a2a2a;
}

.product_price {
    font-size: 2rem;
    color: #2a2a2a;
}

.menu {
    color: var(--text);;
    font-size: 1.5rem;
}

.product_component {
    font-size: 1.2rem;
    color: #4d4d4d;
}

.product_image {
    max-width: 100%;
    border-radius: 0.5rem;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
}

/* Footer */
footer {
    background-color: #f9f9f9;
    padding: 4rem 0;
}

footer a:hover{
    color: var(--color2-hover);
}

.footer-heading {
    font-family: 'Montserrat', sans-serif;
    font-size: 2rem;
}

/* Volet */
.volet_lat {
    width: 100%;
    height: calc(1000px - 8vw);

    background-color: var(--color2);
}
.volet_lat a {
    color: var(--text);
    border-radius: 10px;
}
.volet_lat h4{
    text-align: center;
}
.volet_lat a:hover {
    color: var(--text2);
    border-radius: 10px;
}
.group-menu{
    display: flex;
    flex-wrap: wrap;
}

.card{
    border-radius: 10px;
    min-width: 140px;
    min-height: 240px;
    background-color: var(--color-card);
}

.card_w_link a{
    color: var(--color2);
}
.card img{
    width: 80%;
    margin: auto;

}
.card:hover{
    background-color: var(--color-card-hover);

}
.page_content{
    display: flex;
    justify-content: space-evenly;
}

.row{
    margin: 30px;
}
#map {
    width: 95%;
    height: 400px;
    margin: auto;
}

#div_map{
    display: flex;
    flex-direction: column;
}

.intro{
    font-size: 1.5em;
 }

.div_text_intro {
    padding-bottom: 1%;
    margin-bottom: 5%;
    width: 100%;
    height: 100%;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: linear-gradient(rgba(0, 0, 0, 0.5),
    rgba(0, 0, 0, 0.5)), url("Images/exterieur.JPG");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: var(--text);
    text-align: center;
    text-shadow: 1px 1px 2px #000;
    background-color: #000000;
}

.div_text{
    padding: 5%;
    padding-bottom: 1%;
    margin-bottom: 5%;
    display: flex;
    flex-direction: row;
    font-size: 1em;
    width: 95%;
    margin: auto;
}
.search-result{
    width: 95%;
    margin: auto;
}
.photo_store{
    width: 46%;
    margin: auto;
    border-radius: 10px;
}
.msg-box{
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    width: 100%;
    color:  var(--text);
    border-bottom: solid 2px var(--color2);
    border-top: solid 2px var(--color2);
    padding: 10px;
    text-align: center;
}
.no-data{
    color: var(--color2);
    text-align: center;
    margin: 200px 0 200px 0;
}







@media (max-width: 767px) {
    .intro{
        font-size: 1em;
    }
    .volet_lat {
        text-align: center;
        height: 100%;
    }
    .volet_lat a{
        font-size: 1.3rem;
    }
    .volet_lat h4{
        font-size: 1.7rem;
    }
    .page_content{
        flex-direction: column-reverse;
    }
    .card{
        min-width: 100px;
        min-height: 200px;

    }
    .card-title{
        font-size: 1.5rem;
    }

    .btn-rechercher {
        background-color: var(--color2);
        background-image: url("Images/serachbtn.svg"); /* ajouter l'icône de loupe */
        background-repeat: no-repeat;
        background-position: center; /* placer l'icône de loupe au centre */
        border-radius: 20px;
        color: transparent; /* cacher le texte */
        font-weight: bold;
        font-family: 'Open Sans', sans-serif;
        height: 50px;
        padding: 10px;
        text-indent: -9999px; /* cacher le texte en le déplaçant hors de la zone visible */
        width: 50px; /* ajuster la largeur du bouton */
    }

    .nav-link {
        font-size: 1rem;
        padding: 0.5rem;
        color: var(--header-color);
    }
    .card_w_link{
        width: 50%;
        margin: auto;
        padding: 1%;
    }
    .card_w_link h5{
      font-size: 0.7em;
    }
    .card_w_link p{
        font-size: 0.8em;
        margin-bottom: 5px;
    }
    h1 {
        font-size: 2rem;
        margin: 30px;
    }
    h2 {
        font-size: 1.9rem;
    }
    h3 {
        font-size: 1.7rem;
    }
    h4 {
        font-size: 1.2rem;
    }
    h5 {
        font-size: 1rem;
    }
}
